/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");
              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
}

function next() {
	console.debug('Next!');  
}

function prior() {
	console.debug('Prior');
}

function grip() {
	console.debug('Grip!');  
}

function release() {
	console.debug('Release');
}

function noUser(){
  console.debug('No User :(');  
//sendToArduino('0');
  
}

function newUser() {
  console.debug('New User :)');  

}

function changeHandNone() {
	console.debug('Hand None');  
}

function changeHandRight() {
  	console.debug('Hand Right');  
}

function changeHandLeft() {
	console.debug('Hand Left');  
}

/**
* Update Quiz results on the current slide.
* @param int qzid Quiz ID
* @author Hjalmar Guerra
*/
function getAnswers(qzid){
    //Get json of values from server
    $.ajax({
        type: "GET",
        dataType: "json",
        url: "http://xlic.es/apirest/quiz/answers",
        data: {'id': qzid },
        async: true,
        success: function(data) {
            //console.log(data);  
            displayData(data);
        }
    });    
}
